/***************************************************************
 * Name:      norqualizerMain.h
 * Purpose:   Defines Application Frame
 * Author:    V.Portet ()
 * Created:   2013-12-13
 * Copyright: V.Portet ()
 * License:
 **************************************************************/

#ifndef NORQUALIZERMAIN_H
#define NORQUALIZERMAIN_H

//(*Headers(norqualizerFrame)
#include <wx/stattext.h>
#include <wx/menu.h>
#include <wx/checkbox.h>
#include <wx/filedlg.h>
#include <wx/button.h>
#include <wx/dirdlg.h>
#include <wx/frame.h>
#include <wx/timer.h>
#include <wx/gauge.h>
#include <wx/statusbr.h>
//*)

class norqualizerFrame: public wxFrame
{
    public:

        norqualizerFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~norqualizerFrame();

    private:

        //(*Handlers(norqualizerFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton3Click(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        //*)

        // Programmer's prototypes
        int launch(bool,wxString);
        void norqualizing(void);
        void kill_metadata(void);

        //(*Identifiers(norqualizerFrame)
        static const long ID_STATICTEXT1;
        static const long ID_BUTTON1;
        static const long ID_BUTTON2;
        static const long ID_CHECKBOX1;
        static const long ID_CHECKBOX2;
        static const long ID_CHECKBOX3;
        static const long ID_BUTTON3;
        static const long ID_CHECKBOX4;
        static const long ID_GAUGE1;
        static const long ID_GAUGE2;
        static const long ID_STATICTEXT2;
        static const long ID_STATICTEXT3;
        static const long ID_CHECKBOX5;
        static const long ID_STATICTEXT4;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        static const long ID_TIMER1;
        //*)

        //(*Declarations(norqualizerFrame)
        wxStaticText* StaticText2;
        wxButton* Button1;
        wxGauge* Gauge1;
        wxCheckBox* CheckBox3;
        wxCheckBox* CheckBox2;
        wxStaticText* StaticText1;
        wxFileDialog* FileDialog1;
        wxStaticText* StaticText3;
        wxButton* Button2;
        wxCheckBox* CheckBox1;
        wxButton* Button3;
        wxStatusBar* StatusBar1;
        wxDirDialog* DirDialog1;
        wxCheckBox* CheckBox4;
        wxGauge* Gauge2;
        wxCheckBox* CheckBox5;
        wxStaticText* StaticText4;
        wxTimer Timer1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // NORQUALIZERMAIN_H
